Subject: Re: latest coolview.tar.gz from Sergey...
From: [email-masked] (Larry Hall)

22 Jul 1997 20:46:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked] (Unverified)
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Ku Wei <[email-masked]>, Jerome Gay <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

At 08:29 PM 7/22/97 -0400, Ku Wei wrote:
>1. change to binary mount.
>2. change .bashrc, .bash_profile, and .inputrc to UNIX style format text 
>file. ( I have written two small utilities to do the transferm between 
>DOS style and UNIX style. ) Let me know if you need them to do the 
>transferm for you.
>
>Sincerely,
>Wei Ku
>
<snip>
>
>On Tue, 22 Jul 1997, Jerome Gay wrote:
>
>>  I just downloaded the latest coolview.tar.gz from Sergey HP, and install
>> bash 2.01...
>> It looks like bash no longer recognize my old .bashrc file ...
>> and vim-4.6 no longer works....
>> 
>> Any ideas ?
>> Thanks,
>> 
>> Jerome
>> 
>> "Any given program will expand to fill all available memory"
>> 

This may be Jerome's problem but I will offer another possibility, or at
least something to watch for.  If you create bash functions to supplement
your aliases, be careful!  I'm not sure why but I just found out that a
bash function defined on 1 line generated a syntax error at the end of 
the file it was included in when I sourced it.  The specific error was

bash.EXE: /users/lhall/.bash_alias: line 35: syntax error: unexpected end of
file

This was hard to track down.  The line that caused it was:

viw() { start vim.exe "$*" }

changing it to

viw()
{
        start vim.exe "$*"
}

solved the problem for me.  I don't know why or if this is an issue of
general concern.  I do know, however, that the change was not necessary 
until I switched to Sergey's latest "coolview" DLL and bash 2.01.  It's
not a big deal to make this change but it is also not an obvious change
to make when this error occurs (at least not for me).  Be forewarned!

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (617) 239-1053
8 Grove Street                          (617) 239-1655 - FAX
Wellesley, MA  02181                             

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".